Summary: A Router Advertisement daemon
Name: radvd
Version: 0.6.2
Release: 2.glibc21
Copyright: BSD style
Group: System Environment/Daemons
Packager: Lars Fenneberg <lf@elemental.net>
Source0: ftp://ftp.cityline.net/pub/systems/linux/ipv6/radvd/radvd-%{version}.tar.gz
Source1: radvd.init
PreReq: glibc <= 2.1.3
BuildRoot: /var/tmp/%{name}-root

%description
radvd is the router advertisement daemon for IPv6.  It listens to router
solicitations and sends router advertisements as described in "Neighbor
Discovery for IP Version 6 (IPv6)" (RFC 2461).  With these advertisements
hosts can automatically configure their addresses and some other
parameters.  They also can choose a default router based on these
advertisements.

Install radvd if you are setting up IPv6 network and/or Mobile IPv6
services.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install

mkdir -p $RPM_BUILD_ROOT/etc
install -m 644 $RPM_BUILD_DIR/radvd-%{version}/radvd.conf.example $RPM_BUILD_ROOT/etc/radvd.conf

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 644 $RPM_SOURCE_DIR/radvd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/radvd

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
%defattr(-,root,root)
%attr(0644,root,root)	%config(noreplace) /etc/radvd.conf
%attr(0755,root,root)	%config /etc/rc.d/init.d/radvd
/usr/man/man5/radvd.conf.5*
/usr/man/man8/radvd.8*
/usr/man/man8/radvdump.8*
/usr/sbin/radvd
/usr/sbin/radvdump

%changelog
* Thu Feb 1 2001 Lars Fenneberg <lf@elemental.net>
- updated to new release 0.6.2

* Thu Feb 1 2001 Marko Myllynen <myllynen@lut.fi>
- initial version, radvd version 0.6.1
